Index: LVM2.2.02.45/lib/filters/filter.c
===================================================================
--- LVM2.2.02.45.orig/lib/filters/filter.c	2009-06-26 17:13:21.000000000 +0800
+++ LVM2.2.02.45/lib/filters/filter.c	2009-07-27 17:37:01.000000000 +0800
@@ -179,6 +179,10 @@
 	/* All types unrecognised initially */
 	memset(_max_partitions_by_major, 0, sizeof(int) * NUMBER_OF_MAJORS);
 
+	/* Extended devt will use MAJOR 259
+	   Consider it an non-partitionable block device */
+	_max_partitions_by_major[259] = 1;
+
 	if (dm_snprintf(proc_devices, sizeof(proc_devices),
 			 "%s/devices", proc) < 0) {
 		log_error("Failed to create /proc/devices string");
